=== debian/changelog ===
ros-dashing-rmw-gurumdds-cpp (0.7.12-1bionic) bionic; urgency=high

  * Update code about build error on windows
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 06 May 2021 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.11-1bionic) bionic; urgency=high

  * Use dds_free instead of free for dll library
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.10-1bionic) bionic; urgency=high

  * Change maintainer
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 09 Mar 2021 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.9-1bionic) bionic; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 18 Nov 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.8-1bionic) bionic; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.7-1bionic) bionic; urgency=high

  * Renamed rmw_gurumdds_dynamic_cpp to rmw_gurumdds_cpp
  * Renamed rmw_gurumdds_cpp to rmw_gurumdds_static_cpp
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Sun, 05 Jul 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.6-1bionic) bionic; urgency=high

  * Updated packages to use gurumdds-2.6
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 03 Jun 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.5-1bionic) bionic; urgency=high

  * Fixed template specialization
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Wed, 15 Apr 2020 15:00:00 -0000

ros-dashing-rmw-gurumdds-cpp (0.7.4-1bionic) bionic; urgency=high

  * Fixed serialization/deserialization errors
  * Fixed some errors
    * added missing qos finalization
    * fixed issue that topic endpoint info was not handled correctly
    * added null check to builtin datareader callbacks
  * Added qos finalization after creating publisher/subscriber
  * Implemented rmw_serialize/rmw_deserialize
  * Implemented client
  * Implemented service
  * Fixed code style divergence
  * Implemented subscription
  * Fixed some errors in cdr buffer
  * Implemented publisher
  * Implemented serialization/deserialization
  * Suppress complie warnings
  * Modified structures in types.hpp
  * Implemented create_metastring()
  * added rmw_gurumdds_cpp
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 31 Mar 2020 15:00:00 -0000
