=== debian/control ===
Source: ros-dashing-rmw-gurumdds-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.7, ros-dashing-ament-cmake-ros, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-gurumdds-cmake-module, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-gurumdds-shared-cpp, ros-dashing-rosidl-cmake, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-generator-dds-idl, ros-dashing-rosidl-typesupport-introspection-c, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rmw-gurumdds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.7, ros-dashing-gurumdds-cmake-module, ros-dashing-rcutils, ros-dashing-rmw, ros-dashing-rmw-gurumdds-shared-cpp, ros-dashing-rosidl-generator-c, ros-dashing-rosidl-generator-cpp, ros-dashing-rosidl-typesupport-introspection-c, ros-dashing-rosidl-typesupport-introspection-cpp, ros-dashing-ros-workspace
Description: Implement the ROS middleware interface using GurumNetworks GurumDDS static code generation in C++.
